<?php
require'fun.php';
$titlu='Ofera dar la '.nume($la,1);
require'f_profil.php';
$back[1]=profil($la,'Profil membru '.nume($la));
require'f_sus.php';
require'f_mut.php';
require'f_blocat.php';
if(blocat($pmtext))
{
$tip='text dar către membrul '.nume($la,1);
$text=$pmtext;
require'f_ban.php';
}
$pmfl=(in_array($de,$id_proprietari)?0:$conn->query('SELECT MAX(`data`)FROM`daruri_oferite`WHERE`de`="'.$de.'"')->fetch_row()[0]+$anti_flood);
$pinfo=$conn->query('SELECT`id`,`pret`,`link`,`descriere`FROM`daruri`WHERE`id`="'.(isset($_POST['id_dar'])?$_POST['id_dar']:0).'"')->fetch_row();
$lei_disponibili=$conn->query('SELECT`lei`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0];
$mod_daruri=$conn->query('SELECT`mod_daruri`FROM`membrii`WHERE`id`="'.$la.'"')->fetch_row()[0];
if($pmfl>$_SERVER['REQUEST_TIME'])
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Flood control: Poti sa oferi un nou dar peste '.($pmfl-$_SERVER['REQUEST_TIME']).' secunde!';
elseif($pinfo[0]=='')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest dar nu a fost gasit!<br />Probabil a fost șters!';
elseif($lei_disponibili<$pinfo[1])
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Ai ales un dar care costă mai mulți lei de cati ai tu.<br />Tu ai <strong>'.number_format($lei_disponibili).'</strong> lei, iar darul ales costă <strong>'.$pinfo[1].'</strong> lei!<br /><a href="/informatii-lei">'.img('banca.gif',1).'<span style="color:red">Informații despre acumularea și consumul de lei</span></a>';
elseif($de==$la)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți să îți oferi dar tie insuti, pentru ca oricum nu are sens să-ți cheltui leii aiuria!';
elseif($mod_daruri==1&&$conn->query('SELECT COUNT(*)FROM`prieteni`WHERE(`de`="'.$de.'"&&`la`="'.$la.'"||`de`="'.$la.'"&&`la`="'.$de.'")&&`citit`>"0"')->fetch_row()[0]==0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].profil($la).', are primirea de daruri activata doar pentru prieteni!';
elseif($mod_daruri==2)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].profil($la).', are primirea de daruri dezactivata!';
elseif($conn->query('SELECT COUNT(*)FROM`ignorati`WHERE`la`="'.$de.'"&&`de`="'.$la.'"')->fetch_row()[0]>0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți trimite dar la '.profil($la).', deoarece te are în lista cu persoane ignorate!';
else
{
if($conn->query('INSERT INTO`daruri_oferite`SET`de`="'.$de.'",`la`="'.$la.'",`pid`="'.$_POST['id_dar'].'",`data`="'.$_SERVER['REQUEST_TIME'].'",`text`="'.$pmtext.'"'))
{
$pmtext=($pmtext==''?'':', cu mesajul: '.$pmtext);
$conn->query('UPDATE`membrii`SET`lei`=lei-'.$pinfo[1].',`top_daruri`=top_daruri+1 WHERE`id`="'.$de.'"');
$conn->query('INSERT INTO`evenimente`SET`text`="i-a oferit un dar constand '.$pinfo[3].' [img=/'.$pinfo[2].']'.$pmtext.', lui: ",`de`="'.$de.'",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Darul a fost trimis cu succes'.$pmtext.', iar din contul tau a fost retrasa suma de <strong>'.$pinfo[1].'</strong> lei!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
echo$div[0].$div[1].'<a href="/top-daruri-oferite">'.img('topuri.gif',2).'Top daruri oferite</a>'.$div[0].$div[8].'<a href="'.$conn->query('SELECT`link`FROM`membrii_conectati`WHERE`de`="'.$de.'"')->fetch_row()[0].'">'.img('arrow_back.png',1).'Înapoi</a>'.$div[0];
require'f_jos.php';